package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public class ChannelDataResponse extends JceStruct {
    static ArrayList<String> cache_adContext = new ArrayList();
    static ChannelInsertItem cache_channelInsertItem = new ChannelInsertItem();
    static ChannnelExtraInfo cache_channnelExtraInfo = new ChannnelExtraInfo();
    static ArrayList cache_data;
    
    static {
        cache_data = new ArrayList();
        cache_data.add(new TempletLine());
    }

    static ChannelEventInfo cache_eventItem = new ChannelEventInfo();
    static SearchHotWordInfo cache_hotWordInfo = new SearchHotWordInfo();
    static PromotionEventInfo cache_promotionInfo = new PromotionEventInfo();
    public ArrayList<String> adContext = null;
    public int autoPlayIndex = -1;
    public ChannelInsertItem channelInsertItem = null;
    public ChannnelExtraInfo channnelExtraInfo = null;
    public Object data = null;
    public int dataType = 0;
    public int errCode = 0;
    public ChannelEventInfo eventItem = null;
    public boolean hasNextPage = true;
    public SearchHotWordInfo hotWordInfo = null;
    public byte optType = (byte) 0;
    public String pageContext = "";
    public PromotionEventInfo promotionInfo = null;
    public String refreshContext = "";
    public int refreshType = 0;
    public String refreshWording = "";
    public String reportContext = "";
    public int showLastReadPositionFlag = 0;
    public int timeOut = 0;
    


    

    public ChannelDataResponse() {
        super();
        this.errCode = 0;
        this.hasNextPage = true;
        this.pageContext = "";
        this.data = null;
        this.refreshContext = "";
        this.refreshWording = "";
        this.optType = 0;
        this.refreshType = 0;
        this.hotWordInfo = null;
        this.dataType = 0;
        this.showLastReadPositionFlag = 0;
        this.reportContext = "";
        this.timeOut = 0;
        this.autoPlayIndex = -1;
        this.eventItem = null;
        this.adContext = null;
        this.promotionInfo = null;
        this.channnelExtraInfo = null;
        this.channelInsertItem = null;
    }
    
    public ChannelDataResponse(int i, boolean z, String str, ArrayList<TempletLine> arrayList, String str2, String str3, byte b, int i2, SearchHotWordInfo searchHotWordInfo, int i3, int i4, String str4, int i5, int i6, ChannelEventInfo channelEventInfo, ArrayList<String> arrayList2, PromotionEventInfo promotionEventInfo, ChannnelExtraInfo channnelExtraInfo, ChannelInsertItem channelInsertItem) {
        this.errCode = i;
        this.hasNextPage = z;
        this.pageContext = str;
        this.data = arrayList;
        this.refreshContext = str2;
        this.refreshWording = str3;
        this.optType = b;
        this.refreshType = i2;
        this.hotWordInfo = searchHotWordInfo;
        this.dataType = i3;
        this.showLastReadPositionFlag = i4;
        this.reportContext = str4;
        this.timeOut = i5;
        this.autoPlayIndex = i6;
        this.eventItem = channelEventInfo;
        this.adContext = arrayList2;
        this.promotionInfo = promotionEventInfo;
        this.channnelExtraInfo = channnelExtraInfo;
        this.channelInsertItem = channelInsertItem;
    }

    public final void writeTo(d dVar) {
        dVar.a(this.errCode, 0);
        dVar.a(this.hasNextPage, 1);
        dVar.a(this.pageContext, 2);
        if (this.data != null) {
            dVar.a(this.data, 3);
        }
        if (this.refreshContext != null) {
            dVar.a(this.refreshContext, 4);
        }
        if (this.refreshWording != null) {
            dVar.a(this.refreshWording, 5);
        }
        dVar.a(this.optType, 6);
        dVar.a(this.refreshType, 7);
        if (this.hotWordInfo != null) {
            dVar.a(this.hotWordInfo, 8);
        }
        dVar.a(this.dataType, 9);
        dVar.a(this.showLastReadPositionFlag, 10);
        if (this.reportContext != null) {
            dVar.a(this.reportContext, 11);
        }
        dVar.a(this.timeOut, 12);
        dVar.a(this.autoPlayIndex, 13);
        if (this.eventItem != null) {
            dVar.a(this.eventItem, 14);
        }
        if (this.adContext != null) {
            dVar.a(this.adContext, 15);
        }
        if (this.promotionInfo != null) {
            dVar.a(this.promotionInfo, 16);
        }
        if (this.channnelExtraInfo != null) {
            dVar.a(this.channnelExtraInfo, 17);
        }
        if (this.channelInsertItem != null) {
            dVar.a(this.channelInsertItem, 18);
        }
    }

    static {
        cache_data.add(new TempletLine());
        cache_adContext.add("");
    }

    public  void readFrom(c cVar) {
        this.errCode = cVar.a(this.errCode, 0, true);
        this.hasNextPage = cVar.a(1, true);
        this.pageContext = cVar.b(2, true);
        this.data = cVar.a(cache_data, 3, false);//³ö´í
        this.refreshContext = cVar.b(4, false);
        this.refreshWording = cVar.b(5, false);
        this.optType = cVar.a(this.optType, 6, false);
        this.refreshType = cVar.a(this.refreshType, 7, false);
        this.hotWordInfo = (SearchHotWordInfo) cVar.a(cache_hotWordInfo, 8, false);
        this.dataType = cVar.a(this.dataType, 9, false);
        this.showLastReadPositionFlag = cVar.a(this.showLastReadPositionFlag, 10, false);
        this.reportContext = cVar.b(11, false);
        this.timeOut = cVar.a(this.timeOut, 12, false);
        this.autoPlayIndex = cVar.a(this.autoPlayIndex, 13, false);
        this.eventItem = (ChannelEventInfo) cVar.a(cache_eventItem, 14, false);
        this.adContext = (ArrayList) cVar.a(cache_adContext, 15, false);
        this.promotionInfo = (PromotionEventInfo) cVar.a(cache_promotionInfo, 16, false);
        this.channnelExtraInfo = (ChannnelExtraInfo) cVar.a(cache_channnelExtraInfo, 17, false);
        this.channelInsertItem = (ChannelInsertItem) cVar.a(cache_channelInsertItem, 18, false);
    }


}
